# SSL Client Auth for Artillery.io

This plugin adds SSL client auth support for HTTP scenarios in [Artillery.io](https://artillery.io).

This plugin is part of [Artillery Pro](https://artillery.io/pro/) and may not be distributed or used separately from Artillery Pro.

## Usage

Specify where to load client key & certificate from:

```yaml
config:
  tls:
    client:
      key: "./path/to/key.pem"
      cert: "./path/to/cert.pem"
```

or:

```yaml
config:
  tls:
    client:
      pfx: "./path/to/cert.pfx"
```

and tell Artillery that you want those certs to be used in requests:

```yaml
config:
  plugins:
    http-ssl-auth: {}
```

So the entire thing looks like something like this:

```yaml
config:
  tls:
    client:
      key: "./path/to/key.pem"
      cert: "./path/to/cert.pem"
  plugins:
    http-ssl-auth: {}
```

Every request in every scenario will then use the specified cert for SSL client auth.

If you don't want a request to be using SSL client auth, set `sslAuth` to `false`, e.g.:

```yaml
scenarios:
  - flow:
      - get:
          url: /
          sslAuth: false # Disable SSL client auth
```

## License

```
(c) 2017 Shoreditch Ops Ltd. All rights reserved.

NOTICE: All information contained herein is, and remains
the property of Shoreditch Ops Ltd. The intellectual and
technical concepts contained herein are proprietary to
Shoreditch Ops Ltd and are protected by copyright law.

Modification and/or redistribution of this material is
strictly forbidden unless prior written permission is
obtained from Shoreditch Ops Ltd.
```
